| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes

# IG::Num::SimKosecConst Class Reference

Constants for (optimization) interface with the simulation code of Gregor Kosec. More...

List of all members.

## Public Attributes
const string | ExecutableNameConvectionObstacles = "CavityProblem.exe"
const string | CsvSeparatorDefault = ";"
| Default separator used in CSV files.
const string | CommentLineString = "-------- "
| Comment introduction string (for 1 line comments).
const string | TemplateInputFileNameDefault = "template.par"
| Default name for template for input file. In optimization, this file is read, modified according to parameters, and stored as input file before simulation is run.
const string | InputFileNameDefault = "default.par"
| Default name of the simulation input file.
const string | ExecutableFilenameDefault = "CavityProblem.exe"
| Default name of executable.
const string | OutputDirectortyBaseDefault = "RawData"
| Default name of the base directory for output files.
const string | OptimizationOutputFileName = "optim.csv"
| Name of the file where optimization results are found.

## Detailed Description

Constants for (optimization) interface with the simulation code of Gregor Kosec.

$A Igor Aug11;

## Member Data Documentation

const string IG::Num::SimKosecConst::ExecutableNameConvectionObstacles = "CavityProblem.exe"

const string IG::Num::SimKosecConst::CsvSeparatorDefault = ";"

Default separator used in CSV files.

const string IG::Num::SimKosecConst::CommentLineString = "-------- "

Comment introduction string (for 1 line comments).

const string IG::Num::SimKosecConst::TemplateInputFileNameDefault = "template.par"

Default name for template for input file. In optimization, this file is read, modified according to parameters, and stored as input file before simulation is run.

const string IG::Num::SimKosecConst::InputFileNameDefault = "default.par"

Default name of the simulation input file.

const string IG::Num::SimKosecConst::ExecutableFilenameDefault = "CavityProblem.exe"

Default name of executable.

const string IG::Num::SimKosecConst::OutputDirectortyBaseDefault = "RawData"

Default name of the base directory for output files.

const string IG::Num::SimKosecConst::OptimizationOutputFileName = "optim.csv"

Name of the file where optimization results are found.

The documentation for this class was generated from the following file:

- SimKosecConst.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events